debian-4.1.2: Modules for working with the Debian package system

Safe Haskell | Safe-Inferred
Language | Haskell2010

Debian.Release

Description

This module name is spurious - Release is not an official term in the debian documentation.

Synopsis

- newtype Section = Section String
- data SubSection = SubSection {
  - section :: Section
  - subSectionName :: String
  }
- sectionName :: SubSection -> String
- sectionName' :: Section -> String
- sectionNameOfSubSection :: SubSection -> String
- parseSection :: String -> SubSection
- parseSection' :: String -> Section

# Documentation

newtype Section Source #

A section of a repository such as main, contrib, non-free, restricted. The indexes for a section are located below the distribution directory.

Constructors

Section String |

#### Instances

Instances details

Read Section Source # |
Instance details Defined in Debian.Release Methods readsPrec :: Int -> ReadS Section Source # readList :: ReadS [Section] Source # readPrec :: ReadPrec Section Source # readListPrec :: ReadPrec [Section] Source #
Show Section Source # |
Instance details Defined in Debian.Release Methods showsPrec :: Int -> Section -> ShowS Source # show :: Section -> String Source # showList :: [Section] -> ShowS Source #
Eq Section Source # |
Instance details Defined in Debian.Release Methods (==) :: Section -> Section -> Bool Source # (/=) :: Section -> Section -> Bool Source #
Ord Section Source # |
Instance details Defined in Debian.Release Methods compare :: Section -> Section -> Ordering Source # (<) :: Section -> Section -> Bool Source # (<=) :: Section -> Section -> Bool Source # (>) :: Section -> Section -> Bool Source # (>=) :: Section -> Section -> Bool Source # max :: Section -> Section -> Section Source # min :: Section -> Section -> Section Source #

data SubSection Source #

A package's subsection is only evident in its control information, packages from different subsections all reside in the same index.

Constructors

SubSection |

Fields

- section :: Section
- subSectionName :: String

#### Instances

Instances details

Read SubSection Source # |
Instance details Defined in Debian.Release Methods readsPrec :: Int -> ReadS SubSection Source # readList :: ReadS [SubSection] Source # readPrec :: ReadPrec SubSection Source # readListPrec :: ReadPrec [SubSection] Source #
Show SubSection Source # |
Instance details Defined in Debian.Release Methods showsPrec :: Int -> SubSection -> ShowS Source # show :: SubSection -> String Source # showList :: [SubSection] -> ShowS Source #
Eq SubSection Source # |
Instance details Defined in Debian.Release Methods (==) :: SubSection -> SubSection -> Bool Source # (/=) :: SubSection -> SubSection -> Bool Source #
Ord SubSection Source # |

Instance details

Defined in Debian.Release

Methods

compare :: SubSection -> SubSection -> Ordering Source #

(<) :: SubSection -> SubSection -> Bool Source #

(<=) :: SubSection -> SubSection -> Bool Source #

(>) :: SubSection -> SubSection -> Bool Source #

(>=) :: SubSection -> SubSection -> Bool Source #

max :: SubSection -> SubSection -> SubSection Source #

min :: SubSection -> SubSection -> SubSection Source #

sectionName :: SubSection -> String Source #

sectionName' :: Section -> String Source #

sectionNameOfSubSection :: SubSection -> String Source #

parseSection :: String -> SubSection Source #

Parse the value that appears in the `Section` field of a .changes file. (Does this need to be unesacped?)

parseSection' :: String -> Section Source #